## mingw-w64-pdal-2.8.0-1.src.tar.zst

=== doc/requirements.txt ===
sphinx==7.4.7
breathe==4.35.0
sphinxcontrib-bibtex==2.6.2
sphinx-rtd-theme==2.0.0
sphinxcontrib-spelling==8.0.0
sphinx-notfound-page==1.0.4
